## nxproxy 3.2.0-1-1maemo2

=== Makefile ===
#
# Get values from configure script.
#
VERSION=3.2.0
LIBVERSION=3

#
# Enable really all warnings. This, though, gives
# a warning due to pthread.h and unistd.h.
#
# -Wredundant-decls
#
CXX      = g++
CXXFLAGS = -O3 -DVERSION=\"3.2.0\"  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\"  \
           -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
           -Wmissing-declarations -Wnested-externs

CXXINCLUDES = -I. -I../nxcomp

CC         = gcc
CCFLAGS    = $(CXXFLAGS)
CCINCLUDES = -I. -I../nxcomp
CCDEFINES  =

LDFLAGS = 
LIBS    =  -L../nxcomp -lXcomp -lXmuu -lX11   -lpthread

#
# Only if THREADS is defined.
#
# LIBS = $(LIBS) -lpthread
#

srcdir      = .
prefix      = /usr
exec_prefix = ${prefix}
bindir      = ${exec_prefix}/bin
man1dir     = ${prefix}/man/man1


INSTALL         = /scratchbox/tools/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644

#
# This should be autodetected.
#

MAKEDEPEND     = /usr/X11R6/bin/makedepend
DEPENDINCLUDES = -I/usr/include/g++ -I/usr/include/g++-3 

.SUFFIXES: .cpp.c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(CXXINCLUDES) $(CXXDEFINES) $<
.c.o:
	$(CC) -c $(CCFLAGS) $(CCINCLUDES) $(CCDEFINES) $<

PROGRAM = nxproxy

all: depend $(PROGRAM)

MSRC   = Main.c

CSRC   =

CXXSRC =

MOBJ   = $(MSRC:.c=.o)
COBJ   = $(CSRC:.c=.o)
CXXOBJ = $(CXXSRC:.cpp=.o)

$(PROGRAM):	$(MOBJ) $(COBJ) $(CXXOBJ)
		$(CXX) $(CXXFLAGS) -o $@ $(MOBJ) $(LDFLAGS) $(LIBS)

depends:	depend.status

depend:		depend.status

depend.status:	
		if [ -x $(MAKEDEPEND) ] ; then \
			$(MAKEDEPEND) $(CXXINCLUDES) $(CCINCLUDES) \
                        $(DEPENDINCLUDES) -f Makefile $(MSRC) $(CSRC) $(CXXSRC) 2>/dev/null; \
		fi
		touch depend.status

install:	install.bin install.man

install.bin:	$(PROGRAM)
		$(srcdir)/mkinstalldirs $(bindir)
		$(INSTALL) $(PROGRAM) $(bindir)/$(PROGRAM)

install.man:
		$(srcdir)/mkinstalldirs $(man1dir)

clean:
		-rm -f *~ *.o *.bak st?????? core core.* *.out.* \
		$(PROGRAM) $(PROGRAM).exe $(LIBFULL) $(LIBLOAD) $(LIBSHARED) $(LIBARCHIVE)

distclean:	clean
		-rm -f config.status config.log config.cache depend.status Makefile tags

## nxproxy 3.2.0-1-1

=== debian/changelog ===
nxproxy (3.2.0-1-1) unstable; urgency=low

  * New Upstream Release
  * Recommend qtnx
  * Provide README.Debian (Closes: #474368)

 -- Matthew Johnson <mjj29@debian.org>  Mon, 16 Jun 2008 12:21:25 +0100

nxproxy (3.1.0-2-1) unstable; urgency=low

  * Initial packaging for Debian (Closes: #470623)
  * Patch to take input on stdin (from Fabian Franz <FabianFranz @ gmx . de>)

 -- Matthew Johnson <mjj29@debian.org>  Wed, 12 Mar 2008 11:00:53 +0000

=== debian/control ===
Source: nxproxy
Priority: optional
Maintainer: Matthew Johnson <mjj29@debian.org>
Build-Depends: debhelper (>=5), automake, autoconf, libxcomp-dev, libstdc++-dev, quilt (>= 0.40)
Standards-Version: 3.7.3
Section: x11

Package: nxproxy
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: qtnx
Description: NX X compression library
 NX provides a differential X compression library for X11.
 .
 This package provides the X proxy binary.

## nxproxy 3.2.0-1-1maemo2

=== debian/changelog ===
nxproxy (3.2.0-1-1maemo2) unstable; urgency=low

  * fix thread stuff
  * remove qtnx from Recommend

 -- Henning Heinold <h.heinold@tarent.de>  Mon, 27 Oct 2008 11:18:54 +0100

xproxy (3.2.0-1-1maemo1) unstable; urgency=low

  * move nxagent.desktop from qtnx to nxproxy
  * fix WM_CLASS set stuff

 -- Henning Heinold <h.heinold@tarnet.de>  Tue, 14 Oct 2008 10:24:31 +0200

nxproxy (3.2.0-1-1maemo0) unstable; urgency=low

  * add patch wmclass.patch, which run a thread
    until the WM_CLASS is set

 -- Henning Heinold <h.heinold@tarnet.de>  Fri, 19 Sep 2008 02:40:04 +0200

## nxproxy 3.4.0-2-1maemo0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Get values from configure script.
 #
-VERSION=3.2.0
+VERSION=3.4.0
 LIBVERSION=3
 
 #
@@ -11,7 +11,7 @@
 # -Wredundant-decls
 #
 CXX      = g++
-CXXFLAGS = -O3 -DVERSION=\"3.2.0\"  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\"  \
+CXXFLAGS = -O3 -DVERSION=\"3.4.0\"  -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\"  \
            -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
            -Wmissing-declarations -Wnested-externs
 
@@ -23,7 +23,7 @@
 CCDEFINES  =
 
 LDFLAGS = 
-LIBS    =  -L../nxcomp -lXcomp -lXmuu -lX11   -lpthread
+LIBS    =  -L../nxcomp -lXcomp -lXmuu -lX11             -lXau   -lXdmcp             -lpthread -lpng -ljpeg
 
 #
 # Only if THREADS is defined.
@@ -38,7 +38,7 @@
 man1dir     = ${prefix}/man/man1
 
 
-INSTALL         = /scratchbox/tools/bin/install -c
+INSTALL         = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_DATA    = ${INSTALL} -m 644
 
@@ -46,7 +46,7 @@
 # This should be autodetected.
 #
 
-MAKEDEPEND     = /usr/X11R6/bin/makedepend
+MAKEDEPEND     = makedepend
 DEPENDINCLUDES = -I/usr/include/g++ -I/usr/include/g++-3 
 
 .SUFFIXES: .cpp.c
@@ -71,7 +71,7 @@
 CXXOBJ = $(CXXSRC:.cpp=.o)
 
 $(PROGRAM):	$(MOBJ) $(COBJ) $(CXXOBJ)
-		$(CXX) $(CXXFLAGS) -o $@ $(MOBJ) $(LDFLAGS) $(LIBS)
+		$(CC) $(CXXFLAGS) -o $@ $(MOBJ) $(LDFLAGS) $(LIBS)
 
 depends:	depend.status

=== debian/changelog ===
nxproxy (3.4.0-2-1maemo0) unstable; urgency=low

  * new upstream release
  * update copyright to 2009

 -- Henning Heinold <h.heinold@tarent.de>  Mon, 27 Oct 2008 11:18:54 +0100

=== debian/control ===
Source: nxproxy
Priority: optional
Maintainer: Matthew Johnson <mjj29@debian.org>
Build-Depends: debhelper (>=5), automake, autoconf, libxcomp-dev, libstdc++-dev, quilt (>= 0.40), libxmuu-dev
Standards-Version: 3.7.3
Section: x11

Package: nxproxy
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NX X compression library
 NX provides a differential X compression library for X11.
 .
 This package provides the X proxy binary.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

configure: configure-stamp
configure-stamp: patch
	dh_testdir
	
	./configure --prefix=/usr
	
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	
	$(MAKE)
	
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f config.log config.status depend.status
	
	[ ! -f Makefile ] || $(MAKE) clean
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs 
	dh_installchangelogs CHANGELOG
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_strip
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build configure clean binary-indep binary-arch binary install

## nxproxy 3.5.0-1

=== debian/changelog ===
nxproxy (3.5.0-1-0ubuntu1) oneiric; urgency=low

  * New upstream release (3.5.0-1)
  * Add patches from x2go's nxproxy fork
   - Manpage for nxproxy
   - Improved MakeFile
   - Apply former debian patch (debian/patches/stdin) inline

  * Merge packaging changes from the x2go team
   - Convert to source format 3.0
   - Bump standards version
   - Move qtnx from recommends to suggests and add x2goclient as suggests
   - Fix typo in package description
   - Switch to dh7

  * Additional packaging changes
   - Add build-dep on dh-autoreconf
   - Update build-dep on debhelper
   - Add debian/watch file
   - Document existing patches
   - Remove duplicate section field
   - Drop build-dep on libstdc++-dev (virtual only and not necessary)
   - Update copyright year

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 19 May 2011 09:31:20 -0400

=== debian/control ===
Source: nxproxy
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthew Johnson <mjj29@debian.org>
Build-Depends: debhelper (>= 7.0.50~), automake, autoconf, libxcomp-dev, dh-autoreconf
Standards-Version: 3.9.2
Section: x11

Package: nxproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qtnx, x2goclient
Description: NX X compression library
 NX provides a differential X compression library for X11.
 .
 This package provides the NX proxy (client) binary.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with autoreconf  --parallel $@

override_dh_auto_install:

=== debian/watch ===
version=3
http://www.nomachine.com/sources.php \
  http://[^"]*/nxproxy-([\d\.-]*)\.tar\.gz
